Draft Scale

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Draft Scale and the translation is 19% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎svenska • ‎čeština • ‎русский
Arrow-left.svg Previous: Draft Rotate.svg Rotate
Next: Mirror Draft Mirror.svg Arrow-right.svg

Draft Scale.svg Draft Scale

poziția meniului
Draft → Scale
Ateliere
Draft, Arch
scurtătură
S C
Prezentat în versiune
-
A se vedea, de asemenea,
Draft Clone

Descriere

Acest instrument mărește/micșorează la scară obiectele selectate în jurul unui punct de bază. Dacă nu este selectat niciun obiect, veți fi invitat să selectați unul.

The command can be used on 2D objects created with the Draft Workbench or Sketcher Workbench, but also on many 3D objects such as those created with the Part Workbench, PartDesign Workbench or Arch Workbench.

Draft Scale example.png

Scaling an object around a base point

Cum se folosește

See also: Draft Snap and Draft Constrain.

  1. Selectați obiectele pe care doriți să le modificați
  2. Apăsați butonul Draft Scale.png Draft Scale sau apăsați S apoi tasta C
  3. Faceți clic pe un prim punct al vizualizării 3D sau introduceți un coordinate pentru a defini punctul de bază al scalei
  4. Se deschide un alt dialog cu opțiunile de scalare. Completați diferitele opțiuni și apăsați pe OK pentru a accepta

Opţiuni

First task panel

The single character keyboard shortcuts mentioned here can be changed. See Draft Preferences.

  • To manually enter the coordinates for the base point enter the X, Y and Z component, and press Enter after each. Or you can press the Draft AddPoint.svg Enter point button when you have the desired values. It is advisable to move the pointer out of the 3D view before entering coordinates.
  • The Relative checkbox has no purpose for this command.
  • Press G or click the Global checkbox to toggle global mode. If global mode is on, coordinates are relative to the global coordinate system, else they are relative to the working plane coordinate system. introduced in version 0.20
  • The remaining checkboxes in this task panel are ignore by the command.
  • Press S to switch Draft snapping on or off.
  • Press the Close button to abort the command.

Second task panel

  • Pentru a introduce manual coordonatele punctului de bază, pur și simplu introduceți numerele, apoi apăsați ENTER între fiecare componentă X, Y și Z.
  • Completați valoarea de scalare X, Y și Z pentru a defini scalarea.
  • Verificarea opțiunii "Scalare uniformă" va bloca X, Y și Z la aceeași valoare
  • Opțiunea "Relativ la planul de lucru" va lua în considerare valorile de scalare X, Y și Z de-a lungul curentului Working Plane. În caz contrar, se utilizează indicațiile globale X, Y și Z.
  • Rezultatul operației de scalare poate fi:
    • A Draft Clone a obiectelor originale, care nu modifică obiectele originale, dar vă permit să modificați manual factorul de scalare mai târziu (funcționează pentru toate tipurile de obiecte)
    • Obiectele originale au modificat dimensiunea lor (vor funcționa numai cu obiecte proiectate sau cu forme neparametrice)
    • Se produce o copie scalată a obiectelor de bază (va funcționa pentru toate tipurile de obiecte, dar numai copii ale obiectelor Draft vor fi parametrice)

Notes

  • The command can also scale Image Planes, but not in clone mode.

Preferences

See also: Preferences Editor and Draft Preferences.

  • To change the number of decimals used for the input of coordinates: Edit → Preferences... → General → Units → Units settings → Number of decimals.
  • To change the number of decimals used for the input of scale factors: Edit → Preferences... → Draft → General settings → General Draft Settings → Internal precision level.
  • To store and reuse the same copy mode setting across commands: Edit → Preferences... → Draft → General settings → Draft tools options → Global copy mode.
  • To reselect the base objects after copying objects: Edit → Preferences... → Draft → General settings → Draft tools options → Select base objects after copying.

Scripting

Scrip-Programare

Instrumentul Scale poate fi utilizat în macros și de la consola python utilizând următoarele funcții:

scaled_list = scale(objectslist, scale=Vector(1,1,1), center=Vector(0,0,0), copy=False)
  • Scalarea obiectelor conținute în alte obiecte (care poate fi o listă de obiecte sau un obiect) a factorilor scalei date definite de vectorul dat (în direcțiile X, Y și Z) în jurul centrului dat.
  • Dacă moștenirea este adevărată, se utilizează modul direct (vechi), în caz contrar se face o copiere parametrică.
  • Dacă copia este Adevărată, obiectele reale nu sunt mutate, dar sunt create copii.
  • Obiectele (sau copiile lor) sunt returnate.

Exempluː

import FreeCAD as App
import Draft

doc = App.newDocument()

pts = [App.Vector(0, 0, 0), App.Vector(500, 500, 0), App.Vector(600, 0, 0)]
wire1 = Draft.make_wire(pts, closed=True)
doc.recompute()

scale1 = App.Vector(2.3, 0.75, 0)
wire2 = Draft.scale(wire1, scale1, copy=True)
doc.recompute()

scale2 = App.Vector(-2, -1.5, 0)
wires = Draft.scale([wire1, wire2], scale2, copy=True)
doc.recompute()


Arrow-left.svg Previous: Draft Rotate.svg Rotate
Next: Mirror Draft Mirror.svg Arrow-right.svg